/*** Directives and services for responding to idle users in AngularJS
* @author Mike Grabski <me@mikegrabski.com>
* @version v0.3.5
* @link https://github.com/HackedByChinese/ng-idle.git
* @license MIT
*/

!function(a,b){"use strict";b.module("ngIdle",["ngIdle.keepalive","ngIdle.idle","ngIdle.countdown","ngIdle.title"]),b.module("ngIdle.keepalive",[]).provider("Keepalive",function(){var a={http:null,interval:600};this.http=function(c){if(!c)throw new Error("Argument must be a string containing a URL, or an object containing the HTTP request configuration.");b.isString(c)&&(c={url:c,method:"GET"}),c.cache=!1,a.http=c};var c=this.interval=function(b){if(b=parseInt(b),isNaN(b)||0>=b)throw new Error("Interval must be expressed in seconds and be greater than 0.");a.interval=b};this.$get=["$rootScope","$log","$interval","$http",function(d,e,f,g){function h(a,b){d.$broadcast("KeepaliveResponse",a,b)}function i(){d.$broadcast("Keepalive"),b.isObject(a.http)&&g(a.http).success(h).error(h)}var j={ping:null};return{_options:function(){return a},setInterval:c,start:function(){return f.cancel(j.ping),j.ping=f(i,1e3*a.interval),j.ping},stop:function(){f.cancel(j.ping)},ping:function(){i()}}}]}),b.module("ngIdle.idle",["ngIdle.keepalive"]).provider("Idle",function(){var a={idle:1200,timeout:30,autoResume:!0,interrupt:"mousemove keydown DOMMouseScroll mousewheel mousedown touchstart touchmove scroll",keepalive:!0},c=this.timeout=function(c){if(c===!1)a.timeout=0;else{if(!(b.isNumber(c)&&c>=0))throw new Error("Timeout must be zero or false to disable the feature, or a positive integer (in seconds) to enable it.");a.timeout=c}};this.interrupt=function(b){a.interrupt=b};var d=this.idle=function(b){if(0>=b)throw new Error("Idle must be a value in seconds, greater than 0.");a.idle=b};this.autoResume=function(b){a.autoResume=b===!0},this.keepalive=function(b){a.keepalive=b===!0},this.$get=["$interval","$log","$rootScope","$document","Keepalive",function(b,e,f,g,h){function i(){a.keepalive&&(o.running&&h.ping(),h.start())}function j(){a.keepalive&&h.stop()}function k(){o.idling=!o.idling;var c=o.idling?"Start":"End";f.$broadcast("Idle"+c),o.idling?(j(),a.timeout&&(o.countdown=a.timeout,l(),o.timeout=b(l,1e3,a.timeout,!1))):i(),b.cancel(o.idle)}function l(){return o.countdown<=0?void m():(f.$broadcast("IdleWarn",o.countdown),void o.countdown--)}function m(){j(),b.cancel(o.idle),b.cancel(o.timeout),o.idling=!0,o.running=!1,o.countdown=0,f.$broadcast("IdleTimeout")}function n(a,b,c){var d=a.running();a.unwatch(),b(c),d&&a.watch()}var o={idle:null,timeout:null,idling:!1,running:!1,countdown:null},p={_options:function(){return a},_getNow:function(){return new Date},setIdle:function(a){n(this,d,a)},setTimeout:function(a){n(this,c,a)},isExpired:function(){return o.expiry&&o.expiry<=this._getNow()},running:function(){return o.running},idling:function(){return o.idling},watch:function(){b.cancel(o.idle),b.cancel(o.timeout);var c=a.timeout?a.timeout:0;o.expiry=new Date((new Date).getTime()+1e3*(a.idle+c)),o.idling?k():o.running||i(),o.running=!0,o.idle=b(k,1e3*a.idle,0,!1)},unwatch:function(){b.cancel(o.idle),b.cancel(o.timeout),o.idling=!1,o.running=!1,o.expiry=null},interrupt:function(){return o.running?a.timeout&&this.isExpired()?void m():void(a.autoResume&&this.watch()):void 0}};return g.find("body").on(a.interrupt,function(){p.interrupt()}),p}]}),b.module("ngIdle.countdown",[]).directive("idleCountdown",function(){return{restrict:"A",scope:{value:"=idleCountdown"},link:function(a){a.$on("IdleWarn",function(b,c){a.$apply(function(){a.value=c})}),a.$on("IdleTimeout",function(){a.$apply(function(){a.value=0})})}}}),b.module("ngIdle.title",[]).factory("Title",["$document","$interpolate",function(a,c){function d(a,b,c){return Array(b-String(a).length+1).join(c||"0")+a}var e={original:null,idle:"{{minutes}}:{{seconds}} until your session times out!",timedout:"Your session has expired."};return{original:function(a){return b.isUndefined(a)?e.original:void(e.original=a)},store:function(a){(a||!e.original)&&(e.original=this.value())},value:function(c){return b.isUndefined(c)?a[0].title:void(a[0].title=c)},idleMessage:function(a){return b.isUndefined(a)?e.idle:void(e.idle=a)},timedOutMessage:function(a){return b.isUndefined(a)?e.timedout:void(e.timedout=a)},setAsIdle:function(a){this.store();var b={totalSeconds:a};b.minutes=Math.floor(a/60),b.seconds=d(a-60*b.minutes,2),this.value(c(this.idleMessage())(b))},setAsTimedOut:function(){this.store(),this.value(this.timedOutMessage())},restore:function(){this.original()&&this.value(this.original())}}}]).directive("title",["Title",function(a){return{link:function(b,c,d){d.idleDisabled||(a.store(!0),b.$on("IdleWarn",function(b,c){a.setAsIdle(c)}),b.$on("IdleEnd",function(){a.restore()}),b.$on("IdleTimeout",function(){a.setAsTimedOut()}))}}}])}(window,window.angular);
//# sourceMappingURL=angular-idle.map